## org.eclipse.m2m.qvt.oml.debug.core.app
Class QVTOApplication

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.app.QVTOApplication

Direct Known Subclasses:
  QVTODebugApplication

    public class QVTOApplication

extends java.lang.Object

Field Summary
`static java.lang.String` `ARG_HELP`
`static java.lang.String` `ARG_PARAM`
`static java.lang.String` `ARG_PORT`
`static java.lang.String` `ARG_TRACE`
`static java.lang.String` `ARG_TRANSFORMATION`
`static java.lang.String` `ID`

Constructor Summary
`QVTOApplication()`

Method Summary
`protected ExecutionContext` `createExecutionContext()`
`protected org.eclipse.m2m.internal.qvt.oml.TransformationRunner` `createRunner()`
`protected TransformationRunnerFactory` `createRunnerFactory()`
`protected int` `doRun(org.eclipse.m2m.internal.qvt.oml.TransformationRunner runner)`
`protected static java.lang.String` `getArgValue(java.lang.String argName, java.lang.String argDef)`
`protected java.lang.String` `getCommandLineUsage()`
`protected ExecutionContext` `getExecutionContext()`
`protected TransformationRunnerFactory` `getRunnerFactory()`
`protected static boolean` `isValueSpecArg(java.lang.String argName, java.lang.String argDef)`
`protected boolean` `processCommandLine(IApplicationContext context)`
`protected boolean` `processCommandLineArg(java.lang.String nextArg)`
`java.lang.Object` `start(IApplicationContext context)`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### ARG_PORT

    public static final java.lang.String ARG_PORT

See Also:
  Constant Field Values

### ARG_TRANSFORMATION

    public static final java.lang.String ARG_TRANSFORMATION

See Also:
  Constant Field Values

### ARG_PARAM

    public static final java.lang.String ARG_PARAM

See Also:
  Constant Field Values

### ARG_TRACE

    public static final java.lang.String ARG_TRACE

See Also:
  Constant Field Values

### ARG_HELP

    public static final java.lang.String ARG_HELP

See Also:
  Constant Field Values

Constructor Detail

### QVTOApplication

    public QVTOApplication()

Method Detail

### start

    public java.lang.Object start(IApplicationContext context)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

### doRun

    protected int doRun(org.eclipse.m2m.internal.qvt.oml.TransformationRunner runner)

### getRunnerFactory

    protected final TransformationRunnerFactory getRunnerFactory()

### createRunnerFactory

    protected TransformationRunnerFactory createRunnerFactory()

### processCommandLine

    protected boolean processCommandLine(IApplicationContext context)

### processCommandLineArg

    protected boolean processCommandLineArg(java.lang.String nextArg)

### createRunner

    protected org.eclipse.m2m.internal.qvt.oml.TransformationRunner createRunner()
                                                                          throws DiagnosticException

  Throws:
    `DiagnosticException`

### createExecutionContext

    protected ExecutionContext createExecutionContext()

### getExecutionContext

    protected final ExecutionContext getExecutionContext()

### getCommandLineUsage

    protected java.lang.String getCommandLineUsage()

### isValueSpecArg

    protected static boolean isValueSpecArg(java.lang.String argName,
                                            java.lang.String argDef)

### getArgValue

    protected static java.lang.String getArgValue(java.lang.String argName,
                                                  java.lang.String argDef)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.